<template>
  <v-container
    fluid
  >
    <purchaseLoan
      :example2="example"
    />
    <productsInformation
      :example="example2"
      cannotchange="1"
    />
    <back-and-approve @approve="clickApprove" />
    <v-alert
      v-show="showAlert"
      dense
      type="success"
    >
      Product brought successfully
    </v-alert>

    <v-alert
      v-show="showError"
      dense
      type="error"
    >
      You cannot lend it!!
    </v-alert>
  </v-container>
</template>

<script>
  import BackAndApprove from '../../components/BackAndApprove.vue'
  import productsInformation from './EnterproductsInformation.vue'
  import purchaseLoan from '../purchaseLoan.vue'
  import { showSingleProduct, purchaseProduct } from '@/request/api.js'
  export default {
    name: 'FinancialProductDetailView',
    components: {
      productsInformation,
      purchaseLoan,
      BackAndApprove,
    },
    data: function () {
      return {
        productId: '', // 路由传递过来的参数
        example: {
          borrowerName: '',
          lenderName: '',
          productId: '',
          amount: '',
          bankCard: '',
        },
        example2: {
          productId: 10001,
          productProvider: 22,
          productCode: 222,
          productName: '人寿2',
          productCurrency: '人民币',
          productAsset: '规模',
          productNetValue: '净值',
          productFundManager: 'nobody',
          productCreateTime: '成立时间',
        },
        showError: 0,
        showAlert: 0,
      }
    },
    mounted: function () {
      this.productId = this.$route.query.productId // 取到数据

      showSingleProduct({ productId: this.productId })
        .then(resolve => {
          this.example2 = { ...resolve }
          this.example.borrowerName = localStorage.getItem('UserName')
          this.example.lenderName = this.example2.productProvider
          this.example.productId = this.productId
        })
        .catch(err => {
          console.log(err)
        })
      // 并且根据userCode去查询
    },
    // beforeUpdate: function () {
    //   console.log(this.example)
    // },
    methods: {
      clickApprove: function (e) {
        const params = this.example
        console.log(params)
        purchaseProduct(params)
          .then(resolve => {
            console.log(resolve)
            const status = resolve.status
            if (status === '404') {
              this.showError = 1
              setTimeout(() => {
                this.showError = 0
                this.step--
              }, 2000)
            } else {
              this.showAlert = 1
              setTimeout(() => {
                this.showError = 0
                this.step--
              }, 2000)
            }
          })
          .catch(error => {
            console.log('失败')
            console.log(error)
            this.showError = 1
            setTimeout(() => {
              this.showError = 0
              this.step--
            }, 2000)
          })
        // 发送请求申请，如果能够发送成功的话，就this.$router.go(-1)
        setTimeout(() => {
          console.log('you have been succesfully')
          this.$router.go(-1)
        }, 4000)
      },
    },
  }
</script>
